
var ListenerUtil = {
  /**
   * 解析所有消息类型枚举值，生成包含所有枚举值的监听器注册表
   * @param msgTypeObj 消息类型定义对象
   */
  parseListenerRegistry: function (msgTypeObj) {
    let listenerRegistry = {}
    for (let t in msgTypeObj) {
      listenerRegistry[msgTypeObj[t]] = {
        listeners: [],
        handlers: []
      }
    }
    return listenerRegistry
  }
}

export default ListenerUtil
